Index: platforms/unix/vm-sound-Sun/sqUnixSoundSun.c
===================================================================
--- platforms/unix/vm-sound-Sun/sqUnixSoundSun.c	(revision 2552)
+++ platforms/unix/vm-sound-Sun/sqUnixSoundSun.c	(working copy)
@@ -55,6 +55,7 @@
 #endif
 
 static int sound_Stop(void);
+static int sound_AvailableSpace(void);
 
 static int auFd=	       -1;   /* open on /dev/dsp */
 static int fmtStereo=		0;   /* whether we are playing in stereo or not */
@@ -259,8 +260,21 @@
   return;
 }
 
+static sqInt sound_GetSwitch(sqInt id, sqInt captureFlag, sqInt channel)
+{
+  return -1;
+}
 
+static sqInt sound_SetSwitch(sqInt id, sqInt captureFlag, sqInt parameter)
+{
+  return -1;
+}
 
+static sqInt sound_SetDevice(sqInt id, char *arg)
+{
+  return -1;
+}
+
 #include "SqSound.h"
 
 SqSoundDefine(Sun);
Index: platforms/unix/vm/aio.c
===================================================================
--- platforms/unix/vm/aio.c	(revision 2552)
+++ platforms/unix/vm/aio.c	(working copy)
@@ -74,6 +74,11 @@
 #   endif
 # endif
 
+# if __sun__
+  # include <sys/sockio.h>
+  # define signal(a, b) sigset(a, b)
+# endif
+
 #else /* !HAVE_CONFIG_H -- assume lowest common demoninator */
 
 # include <stdio.h>
Index: platforms/unix/vm/sqUnixITimerHeartbeat.c
===================================================================
--- platforms/unix/vm/sqUnixITimerHeartbeat.c	(revision 2552)
+++ platforms/unix/vm/sqUnixITimerHeartbeat.c	(working copy)
@@ -138,11 +138,21 @@
 void
 ioUpdateVMTimezone()
 {
+#ifdef HAVE_TM_GMTOFF
 	time_t utctt;
 	updateMicrosecondClock();
 	utctt = (get64(utcMicrosecondClock) - MicrosecondsFrom1901To1970)
 				/ MicrosecondsPerSecond;
 	vmGMTOffset = localtime(&utctt)->tm_gmtoff * MicrosecondsPerSecond;
+#else
+# ifdef HAVE_TIMEZONE
+  extern time_t timezone, altzone;
+  extern int daylight;
+  vmGMTOffset = -1 * (daylight ? altzone : timezone) * MicrosecondsPerSecond;
+# else
+#  error: cannot determine timezone correction
+# endif
+#endif
 }
 
 sqLong
Index: platforms/unix/vm/sqUnixMain.c
===================================================================
--- platforms/unix/vm/sqUnixMain.c	(revision 2552)
+++ platforms/unix/vm/sqUnixMain.c	(working copy)
@@ -65,6 +65,10 @@
 #if __FreeBSD__
 # include <sys/ucontext.h>
 #endif
+# if __sun__
+  # include <sys/ucontext.h>
+  # include <limits.h>
+# endif
 
 #if defined(__alpha__) && defined(__osf__)
 # include <sys/sysinfo.h>
@@ -811,6 +815,9 @@
 # elif __FreeBSD__ && __i386__
 			void *fp = (void *)(uap ? uap->uc_mcontext.mc_ebp: 0);
 			void *sp = (void *)(uap ? uap->uc_mcontext.mc_esp: 0);
+# elif __sun__ && __i386__
+      void *fp = (void *)(uap ? uap->uc_mcontext.gregs[REG_FP]: 0);
+      void *sp = (void *)(uap ? uap->uc_mcontext.gregs[REG_SP]: 0);
 # else
 #	error need to implement extracting pc from a ucontext_t on this system
 # endif